# Created by pyp2rpm-3.3.10
%global pypi_name twisted_ipython
%global pypi_version 2.0.0

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1%{?dist}
Summary:        An IPython extension for running twisted code

License:        None
URL:            https://github.com/jfhbrook/twisted_ipython
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
 twisted_ipythonAn [IPython]( extension that uses [crochet]( to enable running
[Twisted]( in IPython and [Jupyter]( notebooks. The Short Short VersionInstall
this package into your Jupyter notebook's kernel. Then, load the extension:
%load_ext twisted_ipythonand then turn on autoawait for Twisted: %autoawait
twistedand with a helper for the demopython from twisted.internet import
reactor from...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(crochet)
Requires:       python3dist(ipython)
Requires:       python3dist(twisted)
%description -n python3-%{pypi_name}
 twisted_ipythonAn [IPython]( extension that uses [crochet]( to enable running
[Twisted]( in IPython and [Jupyter]( notebooks. The Short Short VersionInstall
this package into your Jupyter notebook's kernel. Then, load the extension:
%load_ext twisted_ipythonand then turn on autoawait for Twisted: %autoawait
twistedand with a helper for the demopython from twisted.internet import
reactor from...


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc README.md
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Tue Dec 17 2024 mockbuilder - 2.0.0-1
- Initial package.